## org.w3c.www.protocol.http
Interface RequestObserver

All Known Implementing Classes:
  ProxyRequestObserver

public abstract interface RequestObserver

The interface to be implemented by request observers. Request observers are objects that will be notified of the progress made in processing an asynchronous request. Asynchronous requests are launched by a call to the `runRequest` method of the `Httpmanager` class.

While being processed, a request goes through a number of different status, described below. Each time the status of a request changes, the appropriate observer gets called back.

Method Summary
`void` | `notifyProgress(RequestEvent event)` Call back, invoked by the HttpManager callback thread.

Method Detail

### notifyProgress

    public void notifyProgress(RequestEvent event)

  Call back, invoked by the HttpManager callback thread. Each time a request status changes (due to progress in its processing) this callback gets called, with the new status as an argument.
  Parameters:
    `preq` - The pending request that has made some progress.
    `event` - The event to broadcast.